-- Table azure-names

CREATE TABLE [azure_files]
(
 [id_azure_file] Int NOT NULL,
 [id_file] Int NOT NULL
 [azure_file_name] Char(128) NOT NULL,
);

-- Add keys for table mimetypes

ALTER TABLE [azure_files] ADD CONSTRAINT [azure_file_pk] PRIMARY KEY ([id_azure_file]);

ALTER TABLE [files] ADD CONSTRAINT [users_files] FOREIGN KEY ([id_user]) REFERENCES [users] ([id]) ON UPDATE CASCADE ON DELETE SET NULL;

ALTER TABLE [azure_files] ADD CONSTRAINT [users_azure_files] FOREIGN KEY ([id_file]) REFERENCES [files] ([id_file]) ON UPDATE CASCADE ON DELETE CASCADE;